Subject: Re: iproute2 proposal

From: Patrick McHardy <[email-masked]>
Date: Wed, 06 Aug 2008 12:09:16 +0200

Denys Fedoryshchenko wrote:
> On Wednesday 06 August 2008, Patrick McHardy wrote:
>> It breaks batches that add links and then configure them. You need
>> to invalidate the link map on "ip link add/del" and "ip tunnel add/del".
 >
> Probably for tc batch it doesn't matter, so this optimization can be done only 
> for tc (i exclude also monitor functions, they must renew list of 
> interfaces).

I'm not sure I understand you correctly. It matters *only* for
tc batch since otherwise the ll map needs to be generated anyways.

> Is new patch looks better? (i test it, it compiles and doesn't break tc, and 
> makes still things much faster on systems with many interfaces).

No patch attached ..